# Irc Namespace Reference

The Irc namespace contains miscellaneous identifiers used throughout the LibIrcClient-Qt library.

## Classes
class | Rfc
| The Irc::Rfc class enumerates command responses and error replies. More...
class | Buffer
| The Irc::Buffer class provides an IRC buffer. More...
class | Session
| The Irc::Session class provides an IRC session. More...
class | Util
| The Irc::Util class provides IRC related utility functions. More...
## Functions
const char * | version ()

## Function Documentation

const char * Irc::version | ( |  | ) |

Returns the LibIrcClient-Qt version number as string in form M.N.P (M = major, N = minor, P = patch).

Returns the version number of LibIrcClient-Qt at run-time as a string (for example, "1.2.3"). This may be a different version than the version the application was compiled against.

See also:
  IRC_VERSION_STR